Skip to main content
GET
/
api
/
v1
/
sources
/
{source_id}
/
connection-check
curl --request GET \
  --url "${UNSTRUCTURED_API_URL}/api/v1/sources/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d/connection-check" \
  --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
{
  "id": "c2b3a4d5-6e7f-8a9b-0c1d-2e3f4a5b6c7d",
  "status": "SUCCESS",
  "reason": null,
  "created_at": "2026-01-01T00:00:00Z",
  "reported_at": "2026-01-01T00:00:05Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt

Use this file to discover all available pages before exploring further.

Path parameters

source_id
string
required
The unique identifier of the source connector.

Response

id
string
required
Unique identifier for the connection check.
status
string
required
Connection check status. One of: SCHEDULED, SUCCESS, FAILURE.
reason
string
Failure reason, if applicable.
created_at
string
required
ISO 8601 timestamp when the check was initiated.
reported_at
string
ISO 8601 timestamp when the check result was reported.
curl --request GET \
  --url "${UNSTRUCTURED_API_URL}/api/v1/sources/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d/connection-check" \
  --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
{
  "id": "c2b3a4d5-6e7f-8a9b-0c1d-2e3f4a5b6c7d",
  "status": "SUCCESS",
  "reason": null,
  "created_at": "2026-01-01T00:00:00Z",
  "reported_at": "2026-01-01T00:00:05Z"
}